/v1/iam/service-accounts/{service_account_id}/credentialsCreate credential
Create a new credential for a service account. The secret access key is only returned once at creation time.
Path Parameters
service_account_id
string<uuid>requiredpath
Service Account ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Request Body
requiredContent-Type: application/json
name
stringrequiredexpires_at
string<date-time>optionalOptional expiration date
Responses
Credential created
Content-Type: application/json
credential
objectoptionalsecret_access_key
stringoptionalOnly returned once at creation time
Invalid request parameters
Content-Type: application/json
error
objectrequiredAuthentication required or token invalid
Content-Type: application/json
error
objectrequiredInsufficient permissions
Content-Type: application/json
error
objectrequiredResource not found
Content-Type: application/json
error
objectrequiredInternal server error
Content-Type: application/json
error
objectrequiredcurl -X POST "https://api.spo1.mycloud.com/v1/iam/service-accounts/550e8400-e29b-41d4-a716-446655440000/credentials" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json" \-d '{"name": "production-key","expires_at": "2024-01-15T10:30:00Z"}'
Response
Credential created
{"credential": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn::iam:credential:550e8400-e29b-41d4-a716-446655440000","name": "production-key","access_key_id": "AKIA550E8400E29B41D4","last_used_at": "2024-01-15T10:30:00Z","expires_at": "2024-01-15T10:30:00Z","created_at": "2024-01-15T10:30:00Z"},"secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"}